{% load static %}

<!DOCTYPE html>

<html lang="en">
<head>
    {% block title %}<title>SW-API explorer</title>{% endblock %}
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
</head>
<body>
<nav class="navbar navbar-expand-lg bg-primary" data-bs-theme="dark">
    <div class="container-fluid">
        <a class="navbar-brand" href="{% url 'collection-list' %}">SW-API explorer</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item p-1">
                    <a class="nav-link active" aria-current="page" href="{% url 'collection-list' %}">Collections</a>
                </li>
                <li class="nav-item p-1">
                    <button type="button" class="btn btn-outline-light" id="fetch-btn">
                        Fetch new collection
                        <div class="spinner-border spinner-border-sm disabled" id="fetch-spinner"
                             style="display:none" role="status"></div>
                    </button>
                </li>
                {% block nav_items %}{% endblock %}
            </ul>
        </div>
    </div>
</nav>
<div class="p-3">
    {% block content %}{% endblock %}
</div>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN"
        crossorigin="anonymous">

</script>
<script src="http://code.jquery.com/jquery-latest.js"></script>
<link href="https://cdn.jsdelivr.net/gh/tofsjonas/sortable/sortable.min.css" rel="stylesheet"/>
<script src="https://cdn.jsdelivr.net/gh/tofsjonas/sortable/sortable.min.js"></script>
<script>
    const button = document.querySelector('#fetch-btn');
    const spinner = document.querySelector('#fetch-spinner');

    const disableButton = () => {
        button.disabled = true;
        spinner.style.display = 'inline-block';
    };
    $("#fetch-btn").on('click', function () {
        $.ajax({
                data: {
                    csrfmiddlewaretoken: "{{ csrf_token }}",
                },
                type: 'POST',
                url: "{% url 'collection-fetch' %}",
                success: function (data) {
                    location.href = "{% url 'collection-list' %}";
                }
            }
        )
        ;
    })
    ;
    button.addEventListener('click', disableButton);
</script>
{% block js %}{% endblock %}

</body>
</html>
